<html ng-app="calculatorApp">

<head>
    <script src="angular.js"></script>
    <script src="calculator.js"></script>
    <title>calculator</title>
</head>

<body>

    <h1>Calculator App</h1>
    <div ng-controller="CalculatorCtrl as ctrl">
        <input type="text" ng-model="ctrl.input1"></input>
        <span ng-bind="ctrl.selectedOperation"></span>
        <input type="text" ng-model="ctrl.input2"></input>
        <button ng-click="ctrl.computeResult()">=</button>
        <span ng-bind="ctrl.resultValue"></span>
        <p>
            choose operation:
            <button ng-click="ctrl.buttonClicked('+')">+</button>
            <button ng-click="ctrl.buttonClicked('-')">-</button>
            <button ng-click="ctrl.buttonClicked('*')">*</button>
            <button ng-click="ctrl.buttonClicked('/')">/</button>

        </p>

    </div>
</body>

</html>